Topic: Heroku's trying to install development gems even after I've told it no

Hello, I'm diving into RoR and I'm using Heroku to host the test app I'm building.  When I do a push to Heroku, it crashes when trying to intall the linecache19 gem (which is used by ruby-debug19 gem)...

    Installing ruby_core_source (0.1.4)
    Installing linecache19 (0.5.11) with native extensions /usr/ruby1.8.7/lib/ruby/site_ruby/1.8/rubygems/installer.rb:483:in `build_extensions': ERROR: Failed to build gem native extension. (Gem::Installer::ExtensionBuildError)

After searching all over the web for this problem, everyone's solution was...

    heroku config: add BUNDLE_WITHOUT="test development" --app app_name

But the push to Heroku still crashes even after I did that.  Here's my Gemfile...


    source 'http://rubygems.org'
   
    gem 'rails', '3.0.5'
    gem "carrierwave"
    gem "mini_magick"
    gem "fog"
   
    group :development do
      gem 'annotate-models', '1.0.4'
      gem 'sqlite3'
      gem 'ruby-debug19'
      gem 'sqlite3-ruby', :require => 'sqlite3'
    end

I even uninstalled the `ruby-debug19` gem and it's still crashing and trying to install the linecache19 gem.  Why won't this linecache19 gem go away?  I'm new to all this and, as such, I'm sure I'm missing something obvious.  Your thoughts?

Thanks for your wisdom!

Last edited by beachrunnerjoe (2011-04-04 19:36:31)